summaryrefslogtreecommitdiff
path: root/t/aclocal-dirlist-abspath.sh
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2012-11-25 12:48:36 +0100
committerStefano Lattarini <stefano.lattarini@gmail.com>2012-11-25 12:48:36 +0100
commit27954741470878f637c152a2666187ce2807abb1 (patch)
treefdb55a31dfa90ac05061352dab2ee0e685044031 /t/aclocal-dirlist-abspath.sh
parent71626475407387f8229367e52a1bd9a1f6292bfa (diff)
downloadautomake-27954741470878f637c152a2666187ce2807abb1.tar.gz
tests: give few aclocal tests more significant names
* t/dirlist-abspath.sh: Rename ... * t/aclocal-dirlist-abspath.sh: ... like this. * t/dirlist.sh: Rename ... * t/aclocal-dirlist.sh: ... like this. * t/dirlist2.sh: Rename ... * t/aclocal-dirlist-globbing.sh: ... like this. * t/list-of-tests.mk: Adjust. Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
Diffstat (limited to 't/aclocal-dirlist-abspath.sh')
-rwxr-xr-xt/aclocal-dirlist-abspath.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/t/aclocal-dirlist-abspath.sh b/t/aclocal-dirlist-abspath.sh
new file mode 100755
index 000000000..d90c1dc46
--- /dev/null
+++ b/t/aclocal-dirlist-abspath.sh
@@ -0,0 +1,42 @@
+#! /bin/sh
+# Copyright (C) 2002-2012 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Check use of absolute paths in dirlist.
+
+am_create_testdir=empty
+. test-init.sh
+
+mkdir acdir-more sub sub/acdir
+echo "$(pwd)/acdir-more" > sub/acdir/dirlist
+
+echo 'AC_DEFUN([AM_FOO], [foo-foo--foo])' > acdir-more/foo.m4
+
+cd sub
+
+cat > configure.ac <<EOF
+AC_INIT([$me], [1.0])
+AM_FOO
+EOF
+
+$ACLOCAL --system-acdir acdir
+$AUTOCONF
+
+# Only -I directories are subject to file inclusion.
+grep m4_include aclocal.m4 && exit 1
+
+grep 'foo-foo--foo' configure
+
+: